## org.eclipse.jetty.policy.entry
Class KeystoreEntry

    java.lang.Object
      org.eclipse.jetty.policy.entry.AbstractEntry
          org.eclipse.jetty.policy.entry.KeystoreEntry

    public class KeystoreEntry

extends AbstractEntry

Constructor Summary
`KeystoreEntry()`

Method Summary
`void` `expand(PolicyContext context)`
`String` `getType()`
`String` `getUrl()`
`void` `setType(String type)`
`void` `setUrl(String url)`
`KeyStore` `toKeyStore()`

Methods inherited from class org.eclipse.jetty.policy.entry.AbstractEntry
`isDirty, isExpanded, setDirty, setExpanded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeystoreEntry

    public KeystoreEntry()

Method Detail

### toKeyStore

    public KeyStore toKeyStore()
                        throws PolicyException

  Throws:
    `PolicyException`

### expand

    public void expand(PolicyContext context)
                throws PolicyException

  Specified by:
    `expand` in class `AbstractEntry`
  Throws:
    `PolicyException`

### getUrl

    public String getUrl()

### setUrl

    public void setUrl(String url)

### getType

    public String getType()

### setType

    public void setType(String type)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.